Patch Customer Connector Id
curl --request PATCH \
--url https://api.zenskar.com/customers/{customer_id}/connector \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"connector": {
"name": "<string>",
"reference_id": "<string>"
}
}
'import requests
url = "https://api.zenskar.com/customers/{customer_id}/connector"
payload = { "connector": {
"name": "<string>",
"reference_id": "<string>"
} }
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({connector: {name: '<string>', reference_id: '<string>'}})
};
fetch('https://api.zenskar.com/customers/{customer_id}/connector', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"customer_name": "<string>",
"custom_data": {},
"address": {
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"country_code": "<string>",
"validation_status": "<string>",
"connector_validation": {}
},
"ship_to_address": {
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"country_code": "<string>",
"validation_status": "<string>",
"connector_validation": {}
},
"tax_info": [],
"email": "<string>",
"custom_attributes": {},
"phone_number": "<string>",
"communications_enabled": true,
"auto_charge_enabled": true,
"business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Customers
Patch Customer Connector Id
Updates the connector ID for a customer.
PATCH
/
customers
/
{customer_id}
/
connector
Patch Customer Connector Id
Authorizations
Path Parameters
Body
application/json
Update Customer Connector RequestSchema
Connector
Show child attributes
Show child attributes
Response
Successful Response
Create Customer Response Schema
Customer Id
External Customer Id
Customer name
Customer Custom Data
Customer Address
Show child attributes
Show child attributes
Customer Ship To Address
Show child attributes
Show child attributes
Customer Tax Ids
Show child attributes
Show child attributes
Customer primary email address
Customer Tags
Customer Phone Number
To enable/disable communications
To enable/disable auto-charge
Business Entity Id